%define	name	xmms
%define	version	0.9.1
%define	release	19990623cvs1
%define	serial	1
%define	prefix /usr

Summary:	Sound player with the WinAmp GUI, for Unix-based systems
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Copyright:	GPL
Group:		Applications/Multimedia
Vendor:		XMMS Development Team <xmms@xmms.org>
Url:		http://www.xmms.org/
Source:		%{name}-%{version}.tar.gz
Source1:	%{name}.wmconfig
Source2:	%{name}-icons.tar.gz
BuildRoot:	/tmp/%{name}-%{version}-root
Requires:	glib >= 1.2.2
Requires:	gtk+ >= 1.2.2

Distribution:	Red Hat Contrib|Net
Packager:	Red Hat Contrib|Net <rhcn-bugs@redhat.com>

%description
XMMS is a sound player written from scratch. Since it uses the WinAmp
GUI, it can use WinAmp skins, and play mp3s, mods, s3ms, and other 
formats. It now has support for input, output, and general plugins, and
has also been GPL'd.

%package	mikmod
Summary:	Sound player with the WinAmp GUI, for Unix-based systems
Group:		Applications/Multimedia
Requires:	%{name}
Requires:	libmikmod >= 3.1.5

%description	mikmod
Input plugin for XMMS to play MODs (.MOD,.XM,.S3M, etc)

%package	esd
Summary:	Sound player with the WinAmp GUI, for Unix-based systems
Group:		Applications/Multimedia
Requires:	%{name}
Requires:	esound >= 0.2.8

%description	esd
Output plugin for xmms for use with the esound package

%package	gnome
Summary:	Sound player with the WinAmp GUI, for Unix-based systems
Group:		Applications/Multimedia
Requires:	%{name}
Requires:	gnome-libs >= 1.0.0

%description	gnome
GNOME applet for controlling xmms from the GNOME panel

%package	devel
Summary:	Sound player with the WinAmp GUI, for Unix-based systems
Group:		Applications/Multimedia
Requires:	%{name}

%description	devel
Static libraries and header files required for compiling xmms plugins.

%prep
%setup -q -n %{name}-%{version}
if [ -e configure ]; then
	CPPFLAGS=$RPM_OPT_FLAGS \
	./configure --prefix=%{prefix};
elif [ -e autogen.sh ]; then
	CPPFLAGS=$RPM_OPT_FLAGS \
	./autogen.sh --prefix=%{prefix};
else
	( autoconf ; cd libxmms ; autoconf ; cd .. )
	CPPFLAGS=$RPM_OPT_FLAGS \
	./configure --prefix=%{prefix};
fi

%build
CPPFLAGS=$RPM_OPT_FLAGS \
make

%install
if [ -e $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
install -m 644 $RPM_SOURCE_DIR/%{name}.wmconfig $RPM_BUILD_ROOT/etc/X11/wmconfig/%{name}
tar zxf %{SOURCE2} -C $RPM_BUILD_ROOT/%{prefix}/share/xmms

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
/etc/X11/wmconfig/xmms
%{prefix}/bin/xmms
%{prefix}/bin/wmxmms
%{prefix}/lib/libxmms.so.*
%{prefix}/lib/xmms/Input/libcdaudio*
%{prefix}/lib/xmms/Input/libmpg123*
%{prefix}/lib/xmms/Input/libwav*
%{prefix}/lib/xmms/Output/libOSS*
%{prefix}/lib/xmms/Output/libdisk_writer*
%{prefix}/lib/xmms/General/*
%{prefix}/lib/xmms/Effect/*
%{prefix}/share/xmms/*

%files mikmod
%defattr(-, root, root)
%{prefix}/lib/xmms/Input/libmikmod*

%files esd
%defattr(-, root, root)
%{prefix}/lib/xmms/Output/libesdout*

%files gnome
%defattr(-, root, root)
/etc/*
%{prefix}/bin/gnomexmms
%{prefix}/share/applets/*

%files devel
%defattr(-, root, root)
%{prefix}/lib/lib*.so
%{prefix}/lib/lib*.a
%{prefix}/include/*

%changelog
* Thu Jun 17 1999 Ryan Weaver <ryanw@infohwy.com>
  [xmms-0.9.1-19990617cvs1]
- Back to make dist-all from cvs problem with missing files fixed.
- cvs fixed libxmms/acconfig.h problem.
- Added the icons from xmms web page. Installing with the default icon
  in /usr/share/xmms

* Wed Jun 16 1999 Ryan Weaver <ryanw@infohwy.com>
  [xmms-0.9.1-19990616cvs1]
- Removed patch for soundcard.
- Making tar.gz of entire CVS dir, minus the CVS and .cvsignore
  dirs/files. This allows machines with joystick.h to compile.
  Previously, the './autogen.sh;make dist-all' would not include
  the source for the joystick plugin because my RedHat-5.2 machine
  does not have that file.
- Added patch to fix a libxmms/acconfig.h
  After running ./autogen.sh. autoheader complained and errored out
  becuase the symbols PACKAGE and VERSION were not covered by
  autoconf-2.13's /usr/share/autoconf/acconfig.h

* Tue Jun 15 1999 Ryan Weaver <ryanw@infohwy.com>
  [xmms-0.9.1-19990615cvs1]
- First cvs rpm of xmms after name change from x11amp.
- Had to patch configure.in so that it would see the sys/soundcard.h file.

